<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task 501.50
</body>
<script>
    function themDauPhay(paramNumber) {
        var vConvertToString = paramNumber.toString(); // chuyển số sang kiểu chuỗi 
        var vFindDauCham = vConvertToString.indexOf("."); // tìm vị trí dấu chấm
        console.log(vFindDauCham);
        // ví dụ  nhập số: 1234.06
        var vLayPhanTruocDauCham = ""; // biến để chứa phần trước dấu chấm  (ví dụ số 1234.06  thì vLayPhanTruocDauCham = 1234)
        var vLayPhanSauDauCham = "";// biến để chứa phần sau dấu chấm (ví dụ số 1234.06 thì vLayPhanSauDauCham = .06 )
        if (vFindDauCham > -1) { // trường hợp có dấu chấm
            vLayPhanTruocDauCham = vConvertToString.substr(0, vFindDauCham);
            vLayPhanSauDauCham = vConvertToString.substr(vFindDauCham, vConvertToString.length - vFindDauCham);
            console.log(vLayPhanTruocDauCham);
            console.log(vLayPhanSauDauCham);
        }
        // 
        var chuoiCanThemDauPhay = "";
        if (vFindDauCham > -1) {
            chuoiCanThemDauPhay = vLayPhanTruocDauCham;
        }
        else {
            chuoiCanThemDauPhay = vConvertToString;
        }
        //
        var y = chuoiCanThemDauPhay.length; // length
        var x = 3; // hàng nghìn sẽ có 3 ký tự
        var quotient = Math.floor(y / x); // lấy phần nguyên
        var remainder = y % x; // phần dư
        var vPhanTruoc = "";
        var count = 1;
        var vKetQua = "";
        var vKetQuaCuoiCung = "";
        // 
        if (remainder == 0) {
            vKetQua = tachPhanNghin(chuoiCanThemDauPhay, quotient);
        }
        else {
            vPhanTruoc = chuoiCanThemDauPhay.substr(0, remainder);
            console.log(vPhanTruoc);
            temp = chuoiCanThemDauPhay.substr(remainder, y - remainder);
            console.log(temp);
            var vKetQuaTach = tachPhanNghin(temp, quotient);
            vKetQua = vPhanTruoc + ',' + vKetQuaTach;
        }
        if (vFindDauCham > -1) {
            vKetQuaCuoiCung = vKetQua + vLayPhanSauDauCham;
        }
        else {
            vKetQuaCuoiCung = vKetQua;
        }
        console.log("Ket qua cuoi cung: " + vKetQuaCuoiCung);
    }

    //input:
    // paramStringCanTach: biến này là chuỗi này có chiều dài chia hết cho 3, ví dụ: 234
    // paramQuotient: biến này là phần nguyên của chiều dài chuỗi cần tách khi chia cho 3(ví dụ số 1234000 => có chiều dài là 7 => 7 chia 3 được 2 dư 1 => paramQuotient = 2)
    function tachPhanNghin(paramStringCanTach, paramQuotient) {
        var vLanHangNghin = paramQuotient; // 
        var temp = paramStringCanTach;
        var vTach = "";
        var vOutPut = "";
        var vConLai = "";
        var count = 1;
        while (temp.length > 0 && vLanHangNghin > 0) {
            vTach = temp.substr(0, 3);
            var vChieuDaiChuoiHienTai = temp.length;
            console.log(temp);
            vConLai = temp.substr(3, vChieuDaiChuoiHienTai - 3);
            console.log(vTach);
            console.log(vConLai);
            //
            temp = vConLai;
            if (count == 1) {
                vOutPut = vTach;
            }
            else {
                vOutPut = vOutPut + ',' + vTach;
            }

            vLanHangNghin--; // 1
            count++;
        }
        return vOutPut;
    }
</script>

</html>